# Jul-25-2023
# main_heart.py

from pathlib import Path

import hdss
import colors


dir_name = '_HEARTS_'
dir_curves = Path.cwd() / '_CURVES_'

hdss.init(dir_name)

hdss.set_params(
        200,                    # shape_size = 200 x 200
        5,                      # number_of_shapes
        True,                   # perspective_flag
        6,                      # bezier_noise_param
        colors.maraschino,      # line_color
        2)                      # line_thickness

shape_name = 'heart'
path_curve1 = dir_curves / 'heart_curve1.txt'
path_curve2 = dir_curves / 'heart_curve2.txt'

hdss.create_shapes(
                dir_name,
                shape_name,
                path_curve1,
                path_curve2)
