# Jul-25-2023
# main_star.py

from pathlib import Path

import hdss
import colors


dir_name = '_STARS_'
dir_curves = Path.cwd() / '_CURVES_'


hdss.init(dir_name)

hdss.set_params(
        200,                    # shape_size
        3,                      # number_of_shapes
        True,                   # perspective_flag
        6,                      # bezier_noise_param
        colors.aqua,            # line_color
        2)                      # line_thickness

# 3star
# -------------------------------------------------------------
shape_name = '3star'
path_curve = dir_curves / '3star_curve.txt'

hdss.create_shapes(dir_name, shape_name, path_curve)
# -------------------------------------------------------------

# 4star
# -------------------------------------------------------------
shape_name = '4star'
path_curve = dir_curves / '4star_curve.txt'

hdss.create_shapes(dir_name, shape_name, path_curve)
# -------------------------------------------------------------

# 5star
# -------------------------------------------------------------
shape_name = '5star'
path_curve = dir_curves / '5star_curve.txt'

hdss.create_shapes(dir_name, shape_name, path_curve)
# -------------------------------------------------------------

# 6star
# -------------------------------------------------------------
shape_name = '6star'
path_curve = dir_curves / '6star_curve.txt'

hdss.create_shapes(dir_name, shape_name, path_curve)
# -------------------------------------------------------------
